python-lesscpy_0.13.0+ds-1_all.deb


Advertisement

Description

python-lesscpy - LessCss Compiler for Python 2.x

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-lesscpy_0.13.0+ds-1_all.deb
Package name python-lesscpy
Package version 0.13.0+ds
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://pypi.python.org/pypi/lesscpy
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 34.32 KB
Installed size 188.00 KB
Lesscpy is a compiler written in Python for the lesscss language. It is very
useful if node.js can't be installed in the environment. Not all features of
lesscss are supported (yet). Some features wil probably never be supported
(JavaScript evaluation).
This program uses PLY (Python Lex-Yacc) to tokenize/parse the input and is
considerably slower than the nodejs compiler.
This package provides the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-lesscpy_0.13.0+ds-1_all.deb 0.13.0+ds all Ubuntu Universe
python-lesscpy - - -

Requires

Name Value
python >= 2.7
python << 2.8
python-ply -
python-six -
python:any >= 2.6.6-7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-lesscpy_0.13.0+ds-1_all.deb
Source Package python-lesscpy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-lesscpy deb package:
    # sudo apt-get install python-lesscpy

Files

Path
/usr/bin/python2-lesscpy
/usr/lib/python2.7/dist-packages/lesscpy/__init__.py
/usr/lib/python2.7/dist-packages/lesscpy/__main__.py
/usr/lib/python2.7/dist-packages/lesscpy/exceptions.py
/usr/lib/python2.7/dist-packages/lesscpy-0.13.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/lesscpy-0.13.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/lesscpy-0.13.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/lesscpy-0.13.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/lesscpy-0.13.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/lesscpy/lessc/__init__.py
/usr/lib/python2.7/dist-packages/lesscpy/lessc/color.py
/usr/lib/python2.7/dist-packages/lesscpy/lessc/formatter.py
/usr/lib/python2.7/dist-packages/lesscpy/lessc/lexer.py
/usr/lib/python2.7/dist-packages/lesscpy/lessc/parser.py
/usr/lib/python2.7/dist-packages/lesscpy/lessc/scope.py
/usr/lib/python2.7/dist-packages/lesscpy/lessc/utility.py
/usr/lib/python2.7/dist-packages/lesscpy/lib/__init__.py
/usr/lib/python2.7/dist-packages/lesscpy/lib/colors.py
/usr/lib/python2.7/dist-packages/lesscpy/lib/css.py
/usr/lib/python2.7/dist-packages/lesscpy/lib/dom.py
/usr/lib/python2.7/dist-packages/lesscpy/lib/reserved.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/__init__.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/block.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/call.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/deferred.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/expression.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/identifier.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/import_.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/keyframe_selector.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/mixin.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/negated_expression.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/node.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/property.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/statement.py
/usr/lib/python2.7/dist-packages/lesscpy/plib/variable.py
/usr/lib/python2.7/dist-packages/lesscpy/scripts/__init__.py
/usr/lib/python2.7/dist-packages/lesscpy/scripts/compiler.py
/usr/share/doc/python-lesscpy/changelog.Debian.gz
/usr/share/doc/python-lesscpy/copyright

Changelog

2018-03-18 - Thomas Andrejak <thomas.andrejak@gmail.com>
python-lesscpy (0.13.0+ds-1) unstable; urgency=medium
* New maintainer: Thomas Andrejak (Closes: #893373)
* New upstream release: 0.13.0 (Closes: #893233)
- Upload a new tarball without .pyc files
- Update d/control dependencies
- Remove an old patch not necessary now
* Upgrade debhelper and compat from 9 to 11
* Update d/watch file based on pypi.debian.net
* Update d/rules: cleanup, migrate to pybuild
* Update d/control:
- Update old style fields on python things
- Standards-Version upgrade to 4.1.3
- Update Vcs-* fields
* Update d/copyright
* Remove postrm file for update-alternatives
2016-02-28 - Ondřej Nový <novy@ondrej.org>
python-lesscpy (0.10-2) UNRELEASED; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URLs (https).
* d/rules: Changed UPSTREAM_GIT protocol to https
* d/copyright: Changed source URL to https protocol
* d/s/options: extend-diff-ignore of .gitreview
* d/control: Using OpenStack's Gerrit as VCS URLs.
* Bumped debhelper compat version to 10
[ Daniel Baumann ]
* Updating vcs fields.
* Updating copyright format url.
* Updating maintainer field.
* Running wrap-and-sort -bast.
* Updating standards version to 4.0.0.
* Removing gbp.conf, not used anymore or should be specified in the
developers dotfiles.
* Correcting permissions in debian packaging files.
* Updating standards version to 4.0.1.
* Updating standards version to 4.1.0.
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
* d/control: Add trailing tilde to min version depend to allow
backports
2014-05-22 - Thomas Goirand <zigo@debian.org>
python-lesscpy (0.10-1) unstable; urgency=medium
* New upstream release.
* Updated upstream VCS in debian/copyright and debian/rules.
* Removed fixup-python3-argparse.patch.
* Made openstack-pkg-tools optional, and include non-mandatory.
* Fix shellbang for the python3 package (Closes: #747876).
* Added extended diff ignore for the egg-info in debian/source/options.
2014-02-01 - Thomas Goirand <zigo@debian.org>
python-lesscpy (0.9j-4) unstable; urgency=medium
* Installing /usr/bin/lesscpy using update-alternatives, so that users can
use either python 2 or 3.
* Standard-Version: is now 3.9.5.
* Replacing the shebang from /usr/bin/pythonx.x to /usr/bin/env python{2,3}.
2013-10-02 - James Page <james.page@ubuntu.com>
python-lesscpy (0.9j-3) unstable; urgency=low
* d/patches/fixup-python3-argparse.patch: Fix use of argparse for
compatibility with python3.3.
2013-10-01 - Thomas Goirand <zigo@debian.org>
python-lesscpy (0.9j-2) unstable; urgency=low
* Renamed the MIT license to Expat, after kind explanation from the FTP
Masters.
2013-09-07 - Thomas Goirand <zigo@debian.org>
python-lesscpy (0.9j-1) unstable; urgency=low
* New upstream release.
* Uploading to unstable.
2013-07-20 - Thomas Goirand <zigo@debian.org>
python-lesscpy (0.9h-1) experimental; urgency=low
* Initial release. (Closes: #717382)

See Also

Package Description
python-leveldb_0~svn68-3build3_i386.deb Python wrapper for LevelDB (Python 2)
python-levenshtein_0.12.0-2build3_i386.deb extension for computing string similarities and edit distances
python-lfc_1.10.0-2_i386.deb LCG File Catalog (LFC) python2 bindings
python-lhapdf_5.9.1-6_i386.deb Python Bindings for LHAPDF
python-libapparmor_2.12-4ubuntu5_i386.deb AppArmor library Python bindings
python-libarchive-c_2.1-3.1_all.deb Python interface to libarchive
python-libavg_1.8.2-1_i386.deb High-level development platform for media-centric applications
python-libbde_20170902-2_i386.deb BitLocker Drive Encryption access library -- Python 2 bindings
python-libbtbb-pcapdump_2017.03.R2-1_all.deb pcapdump is a Python module for pcap delivered by libbtbb
python-libcec_4.0.2+dfsg1-2ubuntu1_i386.deb Python bindings for USB CEC Adaptor
python-libcharmstore_0.0.3-0ubuntu1_all.deb Python library to access Juju charmstore data
python-libcloud_2.2.1-1_all.deb unified Python interface into the cloud
python-libconcord_1.2-1build2_all.deb Harmony remote configuration tool - Python bindings
python-libdiscid-doc_1.0-1build3_all.deb libdiscid binding for Python (documentation)
python-libdiscid_1.0-1build3_i386.deb libdiscid binding for Python 2
Advertisement
Advertisement